1

So recently I was just setting up an Ubuntu 15.10 system, and I was downloading some stuff. There was a prompt to update some stuff, and I accepted it, and it went running while I was browsing some stuff in firefox. I was running a sudo command that I found when I was searching for something that will get rid of the Intel Haswell Mobile drivers and get the Intel HD Graphics 4000 drivers that my Windows 10 system had. (Windows has nothing to do with the situation, I just wanted the correct drivers and not one that would limit my fps to 60 and have glitches.) But while I was attempting that, the Software Update dialogue turned to the black dim that represents not responding, and I clicked on the X. It asked if I wanted to wait for it to respond or force quit, and I force quitted after a few minutes. Then, like it actually updated, I went to the Software Center to get some apps that I needed. I started to install the Synaptic Package Manager to get some updates for the updates that didn't get installed and possibly my drivers, but then it showed a dialogue that was titled, Package operation failed and said The installation or removal of a software package failed. Then I tried installing GIMP, and it said the same thing. Here's the details of the Synaptic Package Manager when I tried to install it.

installArchives() failed: debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
Selecting previously unselected package synaptic.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 212718 files and directories currently installed.)
Preparing to unpack .../synaptic_0.81.4build2_amd64.deb ...
Unpacking synaptic (0.81.4build2) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for man-db (2.7.4-1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu3) ...
Processing triggers for bamfdaemon (0.5.2~bzr0+15.10.20150627.1-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.58ubuntu1) ...
Setting up cups (2.1.0-4ubuntu3) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing package cups (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up grub-pc (2.02~beta2-29ubuntu0.3) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing package grub-pc (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up unattended-upgrades (0.86.2ubuntu1.1) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing package unattended-upgrades (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of python3-software-properties:
 python3-software-properties depends on unattended-upgrades; however:
  Package unattended-upgrades is not configured yet.

dpkg: error processing package python3-software-properties (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of software-properties-common:
 software-properties-common depends on python3-software-properties (= 0.96.13.1); however:
  Package python3-software-properties is not configured yet.

dpkg: error processing package software-properties-common (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of software-properties-gtk:
 software-properties-gtk depends on python3-software-properties (= 0.96.13.1); however:
  Package python3-software-properties is not configured yet.
 software-properties-gtk depends on software-properties-common; however:
  Package software-properties-common is not configured yet.

dpkg: error processing package software-properties-gtk No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
(--configure):
 dependency problems - leaving unconfigured
Setting up synaptic (0.81.4build2) ...
Errors were encountered while processing:
 cups
 grub-pc
 unattended-upgrades
 python3-software-properties
 software-properties-common
 software-properties-gtk
Error in function: 
Setting up grub-pc (2.02~beta2-29ubuntu0.3) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing package grub-pc (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up cups (2.1.0-4ubuntu3) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing package cups (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up unattended-upgrades (0.86.2ubuntu1.1) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing package unattended-upgrades (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of python3-software-properties:
 python3-software-properties depends on unattended-upgrades; however:
  Package unattended-upgrades is not configured yet.

dpkg: error processing package python3-software-properties (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of software-properties-common:
 software-properties-common depends on python3-software-properties (= 0.96.13.1); however:
  Package python3-software-properties is not configured yet.

dpkg: error processing package software-properties-common (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of software-properties-gtk:
 software-properties-gtk depends on python3-software-properties (= 0.96.13.1); however:
  Package python3-software-properties is not configured yet.
 software-properties-gtk depends on software-properties-common; however:
  Package software-properties-common is not configured yet.

dpkg: error processing package software-properties-gtk (--configure):
 dependency problems - leaving unconfigured


Before anyone marks this as duplicate, I tried searching for some fixes, and one said to delete some files in some system path and then sudo update, but they were read-only files. Then there was a solution that wanted me to install something through the sudo apt-get install command, but no matter what package/app i tried to install, the end line would always say this: E: Sub-process /usr/bin/dpkg returned an error code (1)

I just gave up after looking at a few fixes that had some crap I didn't understand at all. I have barely any knowledge on Ubuntu, and I haven't touched Ubuntu in 2-3 years

0

Do a reboot

Open terminal and just do

sudo su
dpkg --configure -a
apt-get -f install
apt-get autoremove
apt-get autoclean
apt-get update
apt-get upgrade
apt-get install software-properties-common
apt-get install software-properties-gtk

Have a nice experience with Ubuntu

| improve this answer | |
  • The commands were useful the first time, but when it happened a second time, I repeated the same steps, it gave me the terminal errors, despite being in superuser mode. – SwagMasterIV Jun 19 '16 at 6:08
  • Can you please tell what errors you are getting now? – rancho Jun 19 '16 at 6:10
  • Lemme grab the errors and figure out how to format it, give me a sec – SwagMasterIV Jun 19 '16 at 6:21
  • so the terminal is the same error as originally, same dialogue when installing an app from the software center, but may have different details. It's too long to fit here, so let me reply seperately. – SwagMasterIV Jun 19 '16 at 6:23
  • Earlier the error was with software properties. What is the error now? – rancho Jun 19 '16 at 6:25

Not the answer you're looking for? Browse other questions tagged or ask your own question.